Сделал:
Dim acAppComObj As AcadApplication
acAppComObj = Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication
Dim acDocComObj As AcadDocument
acDocComObj = acAppComObj.ActiveDocument
Результат:
See the end of this message for details on invoking
just-in-time (JIT) debugging instead of this dialog box.
************** Exception Text **************
System.ArgumentException: Empty file name is not legal.
Parameter name: sourceFileName
at System.IO.File.Copy(String sourceFileName, String destFileName)
at ACAD_NET_PDF.ACADPDF.Gallurgy_Transfer_Layouts_To_PDF_Printer.ReconfigurerLayoutsToPDF() in D:\Пашин\Visual Studio 2013\Projects\ACAD_NET_PDF\ACAD_NET_PDF\ACADPDF.vb:line 67
at Autodesk.AutoCAD.Runtime.CommandClass.InvokeWorker(MethodInfo mi, Object commandObject, Boolean bLispFunction)
at Autodesk.AutoCAD.Runtime.CommandClass.InvokeWorkerWithExceptionFilter(MethodInfo mi, Object commandObject, Boolean bLispFunction)
at Autodesk.AutoCAD.Runtime.PerDocumentCommandClass.Invoke(MethodInfo mi, Boolean bLispFunction)
at Autodesk.AutoCAD.Runtime.CommandClass.CommandThunk.Invoke()
Как я понял он указывает на ошибку на 67 строке:
IO.
File.
Copy(acAppComObj.
ActiveDocument.
FullName,
Environ("TEMP") & "\" & _
IO.Path.GetFileNameWithoutExtension(acAppComObj.ActiveDocument.FullName) & "_copy.dwg")
То есть моя процедура перед внесением изменений сохраняет копию файла в папке Temp!
Но получается, что эта строка и создает сбой!
Закомментировал - и заработало!
А как же теперь быть с созданием копии?